Bug 1280208 - ipa-server-install with externally signed CA fails with NSS error (SEC_ERROR_BUSY)
ipa-server-install with externally signed CA fails with NSS error (SEC_ERROR_...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.7
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Sudhir Menon
Namita Soman
: Regression, ZStream
Depends On: 1263703
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 03:35 EST by Jan Kurik
Modified: 2015-12-15 08:22 EST (History)
14 users (show)

See Also:
Fixed In Version: ipa-3.0.0-47.el6_7.1
Doc Type: Bug Fix
Doc Text:
Previously, the Network Security Services (NSS) library was not successfully shut down because several certificate objects that were created by using the NSS library were not properly dereferenced. A subsequent initialization of the NSS library in another part of the installer previously failed because the library was not cleaned. As a consequence, the user was prevented from installing an IdM server with a CA certificate signed by an external authority. A patch has been backported to fix this bug, and the installation of an IdM server with a CA certificate signed by an external authority no longer fails.
Story Points: ---
Clone Of: 1263703
Environment:
Last Closed: 2015-12-15 08:22:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ipa-server-install logs (8.08 KB, text/plain)
2015-12-01 07:04 EST, Sudhir Menon
no flags Details

  None (edit)
Description Jan Kurik 2015-11-11 03:35:47 EST
This bug has been copied from bug #1263703 and has been proposed
to be backported to 6.7 z-stream (EUS).
Comment 7 Sudhir Menon 2015-12-01 07:04 EST
Created attachment 1100855 [details]
ipa-server-install logs
Comment 8 Sudhir Menon 2015-12-01 07:07:32 EST
Fix is seen as there is no NSS error seen while doing ipa-server-install using external CA.

ipa-admintools-3.0.0-47.el6_7.1.x86_64
ipa-debuginfo-3.0.0-47.el6_7.1.x86_64
ipa-client-3.0.0-47.el6_7.1.x86_64
ipa-server-3.0.0-47.el6_7.1.x86_64
ipa-server-trust-ad-3.0.0-47.el6_7.1.x86_64
ipa-python-3.0.0-47.el6_7.1.x86_64
ipa-server-selinux-3.0.0-47.el6_7.1.x86_64
samba4-python-4.0.0-66.el6_6.rc4.x86_64
samba4-libs-4.0.0-66.el6_6.rc4.x86_64
samba4-common-4.0.0-66.el6_6.rc4.x86_64
samba4-winbind-4.0.0-66.el6_6.rc4.x86_64
samba4-4.0.0-66.el6_6.rc4.x86_64
Comment 10 errata-xmlrpc 2015-12-15 08:22:56 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2634.html

Note You need to log in before you can comment on or make changes to this bug.